import { deviceFetch, statisticsFetch } from '../../api/fetch';

// miniprogram/pages/equipmentReport/equipmentReport.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    areaId: null,
    areaName: '',
    type: 0,
    timeType: 0,
    totalAmount: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    console.log(options);
    const { areaId, areaName } = options;
    const eventChannel = this.getOpenerEventChannel();
    eventChannel.on('acceptDataFromOpenerPage', res => {
      console.log(res);
      this.setData!({
        totalAmount: res.data.totalAmount.map(item => ({
          ...item,
          type:
            item.key === '洗衣'
              ? 2
              : item.key === '饮水'
              ? 3
              : item.key === '吹风'
              ? 4
              : item.key === '洗浴'
              ? 5
              : item.key,
        })),
      });
    });
    this.setData!({
      areaId,
      areaName,
    });
    // this.fetchWarningLevel();
  },
  fetchWarningLevel() {
    deviceFetch({
      url: '/device/warning/dict/warningLevel',
    })
      .then(res => {
        console.log(res);
      })
      .catch(err => {
        console.log(err);
      });
  },
  changeType(e) {
    const { type } = e.currentTarget.dataset;
    console.log(type);
    if (type === this.data.type) return;
    this.setData!({
      type: type,
    });
    return false;
  },
  changeTimeType(e) {
    const { timeType } = e.currentTarget.dataset;
    console.log(timeType);
    if (timeType === this.data.timeType) return;
    this.setData!({
      timeType,
    });
    return false;
  },
  fetchData() {
    statisticsFetch({
      url: '/boss/device/operation/data/summary',
      method: 'POST',
      data: {
        areaId: this.data.areaId,
        timeType: this.data.timeType,
      },
    })
      .then(res => {
        console.log(res);
      })
      .catch(err => {
        console.log(err);
      });
  },
});
