import { IMyApp } from '../../app';
import { systemFetch } from '../../api/fetch';

type Menu = {
  pagePath: string;
  iconPath: string;
  selectedIconPath: string;
  text: string;
  code: string;
};
const app = getApp<IMyApp>();
const tabList: Menu[] = [
  {
    pagePath: '/pages/home/home',
    iconPath: '/images/tab_shuju_nor@2x.png',
    selectedIconPath: '/images/tab_shuju_pre@2x.png',
    text: '数据首页',
    code: '9001',
  },
  {
    pagePath: '/pages/report/report',
    iconPath: '/images/tab_baobiao_nor@2x.png',
    selectedIconPath: '/images/tab_baobiao_pre@2x.png',
    text: '运营管理',
    code: '9002',
  },
];

Page({
  onLoad() {
    this.fetchTemplate();
    let userRoles = app.globalData.userRoles;
    let list = userRoles
      .map(item => tabList.find(menu => menu.code === item.menuCode))
      .filter(menu => (menu ? true : false));
    if (!list.find(item => item.code === '9002'))
      list.push(tabList[tabList.length - 1]);

    this.setData!({
      selected: list.length ? list[0].code : '',
      list,
    });
  },
  onShow() {
    if (wx.hideHomeButton) {
      wx.hideHomeButton();
    }
  },
  data: {
    selected: '',
    list: [],
    tmplIds: [],
  },
  fetchTemplate() {
    systemFetch({
      url: '/boss/login/init/data',
      method: 'GET',
    }).then(res => {
      console.log(res);
      this.setData!({
        tmplIds: res.templates,
      });
    });
  },
  clickHandle(e) {
    console.log('in click', e);
    let { path, index } = e.detail;
    // console.log(path, index);
    // wx.switchTab({ url: path });
    this.setData!({
      selected: index,
    });
    wx.requestSubscribeMessage({
      tmplIds: this.data.tmplIds.map(item => item.templateId),
      success(res) {
        console.log('in success', res);
      },
      fail(res) {
        console.log('in fail', res);
      },
      complete(res) {
        console.log('in complete', res);
      },
    });
  },
});
