import { IMyApp } from '../../app';
import { operatorFetch } from '../../api/fetch';

const navList = [
  {
    name: '月度运营分析',
    icon: '../../../images/btn_yuedu@2x.png',
    url: '/pages/monthOperator/monthOperator',
    code: '9102',
    reLaunch: false,
  },
  // {
  //   name: '用户增长分析',
  //   icon: '../../../images/btn_yonghu@2x.png',
  //   url: '/pages/userGrowth/userGrowth',
  //   code:'9103',
  //   reLaunch: false,
  // },
  {
    name: '会员反馈',
    icon: '../../../images/btn_fsnkui@2x.png',
    url: '/pages/feedback/feedback',
    code: '9104',
    reLaunch: false,
  },
  {
    name: '服务费明细',
    icon: '../../../images/btn_jiaona@2x.png',
    url: '/pages/platformFee/platformFee',
    code: '9105',
    reLaunch: false,
  },
  {
    name: '设备运营数据',
    icon: '../../../images/ic_shebei@2x.png',
    url: '/pages/equipment/equipment',
    code: '9106',
    reLaunch: false,
  },
  // {
  //   name: '账户提现',
  //   icon: '../../../images/btn_tixian@2x.png',
  //   url: '',
  //   reLaunch: false,
  // },
  {
    name: '退出登录',
    icon: '../../../images/btn_Sign_out@2x.png',
    url: '/pages/index/index?logout=true',
    reLaunch: true,
  },
];

// miniprogram/pages/report/report.js
const app = getApp<IMyApp>();
Component({
  lifetimes: {
    attached() {
      console.log(app.globalData.userInfo);
      let itemList = [];
      let showBalance = false;
      let pageItem = app.globalData.userRoles.find(
        menu => menu.menuCode === '9002',
      );
      if (pageItem) {
        itemList = pageItem.childs
          .map(item => navList.find(menu => menu.code === item.menuCode))
          .filter(menu => (menu ? true : false));
        if (pageItem.childs.find(item => item.menuCode === '9101'))
          showBalance = true;
      }
      itemList.push(navList[navList.length - 1]);
      while (itemList.length % 3) {
        itemList.push({});
      }
      this.setData!({
        userInfo: app.globalData.userInfo,
        itemList,
        showBalance,
      });
      this.fetchPlatformFee();
    },
  },
  /**
   * 页面的初始数据
   */
  data: {
    userInfo: app.globalData.userInfo,
    itemList: [],
    showBalance: false,
    account: 0,
    platformFee: '0.00',
  },
  methods: {
    fetchPlatformFee() {
      operatorFetch({
        url: '/operateBalance/unpaidMoney',
      })
        .then(res => {
          console.log(res);
          this.setData({
            platformFee: res.data ? res.data.toFixed(2) : '0.00',
          });
        })
        .catch(err => {
          console.log(err);
        });
    },
    showRechargeDialog() {
      let dialog = this.selectComponent('#platformDialog');
      dialog.fetchPlatformFee();
    },
  },
});
